# Class ConstantDouble

java.lang.Object
org.apache.tomcat.util.bcel.classfile.Constant
org.apache.tomcat.util.bcel.classfile.ConstantDouble

public final class ConstantDouble extends Constant
This class is derived from the abstract `Constant` and represents a reference to a Double object.

See Also:
  - `Constant`

## Method Summary

Modifier and Type
Method
Description
`double`
`getBytes()`

### Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant

`getTag, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getBytes

public double getBytes()

Returns:
  data, i.e., 8 bytes.